/* makeinfo.c */
int main(int argc, char **argv);
int print_version_info(void);
void *xmalloc(int nbytes);
void huge *xhalloc(long nbytes);
void *xrealloc(void *pointer, int nbytes);
int usage(void);
/* GENERIC_LIST *reverse_list(GENERIC_LIST *list); */
char huge *find_and_load(char *filename);
int pushfile(void);
int popfile(void);
int flush_file_stack(void);
int push_node_filename(void);
int pop_node_filename(void);
char *filename_part(char *filename);
char *pathname_part(char *filename);
char *expand_filename(char *filename, char *input_name);
char *full_pathname(char *filename);
int fs_error(char *filename);
int error(char *format, ...);
int line_error(char *format, ...);
int warning(char *format, ...);
int remember_error(void);
char *read_token(void);
int self_delimiting(int character);
int canon_white(char *string);
int fix_whitespace(char *string);
int discard_until(char *string);
int get_until(char *match, char **string);
int get_until_in_line(char *match, char **string);
int get_rest_of_line(char **string);
int backup_input_pointer(void);
int get_until_in_braces(char *match, char **string);
int convert(char *name);
int free_and_clear(char **pointer);
int init_internals(void);
int init_paragraph(void);
int reader_loop(void);
/* COMMAND *get_command_entry(char *string); */
int read_command(void);
char *find_proc_name(FUNCTION *proc);
int init_brace_stack(void);
int remember_brace(FUNCTION *proc);
int remember_brace_1(FUNCTION *proc, long position);
int pop_and_call_brace(void);
int discard_braces(void);
int get_char_len(int character);
int add_word_args(char *format, ...);
int add_word(char *string);
int add_char(int character);
int insert(int character);
int kill_self_indent(int count);
int flush_output(void);
int close_single_paragraph(void);
int close_paragraph_with_lines(int lines);
int close_paragraph(void);
int start_paragraph(void);
int indent(int amount);
long search_forward(char *string, long from);
int init_insertion_stack(void);
/* enum insertion_type current_insertion_type(void); */
char *current_item_function(void);
char *get_item_function(void);
int push_insertion(enum insertion_type type, char *item_function);
int pop_insertion(void);
char *insertion_type_pname(enum insertion_type type);
/* enum insertion_type find_type_from_name(char *name); */
int do_nothing(void);
int defun_insertion(enum insertion_type type);
int begin_insertion(enum insertion_type type);
int end_insertion(enum insertion_type type);
int discard_insertions(void);
int start_numbering(int at_number);
int stop_numbering(void);
int start_lettering(int at_letter);
int stop_lettering(void);
int letter_item(void);
int number_item(void);
int insert_self(void);
int cm_asterisk(void);
int cm_dots(int arg);
int cm_bullet(int arg);
int cm_minus(int arg);
int cm_TeX(int arg);
int cm_copyright(int arg);
int cm_today(int arg);
int cm_code(int arg);
int cm_samp(int arg);
int cm_file(int arg);
int cm_kbd(int arg);
int cm_key(int arg);
int cm_ctrl(int arg, int position);
int cm_sc(int arg, int start_pos, int end_pos);
int cm_var(int arg, int start_pos, int end_pos);
int cm_dfn(int arg, int position);
int cm_emph(int arg);
int cm_strong(int arg, int position);
int cm_cite(int arg, int position);
int cm_italic(int arg, int start, int end);
int cm_bold(int arg, int start, int end);
int cm_roman(int arg, int start, int end);
int cm_title(int arg, int start, int end);
int cm_refill(void);
int cm_w(int arg, int start, int end);
int cm_obsolete(int arg, int start, int end);
int insert_and_underscore(int with_char);
int cm_chapter(void);
int cm_section(void);
int cm_subsection(void);
int cm_subsubsection(void);
int what_section(char *text);
int cm_top(void);
int cm_unnumbered(void);
int cm_unnumberedsec(void);
int cm_unnumberedsubsec(void);
int cm_unnumberedsubsubsec(void);
int cm_appendix(void);
int cm_appendixsec(void);
int cm_appendixsubsec(void);
int cm_appendixsubsubsec(void);
int cm_majorheading(void);
int cm_chapheading(void);
int cm_heading(void);
int cm_subheading(void);
int cm_subsubheading(void);
int init_tag_table(void);
int write_tag_table(void);
int write_tag_table_indirect(void);
int write_tag_table_internal(int indirect_p);
char *get_node_token(void);
int normalize_node_name(char *string);
/* TAG_ENTRY *find_node(char *name); */
int remember_node(char *node, char *prev, char *next, char *up, long position, int line_no, int no_warn);
int cm_node(void);
/* int validate_file(char *filename, TAG_ENTRY *tag_table); */
int validate(char *tag, int line, char *label);
int split_file(char *filename, long size);
char *reftype_type_string(enum reftype type);
int remember_node_reference(char *node, int line, enum reftype type);
/* int validate_other_references(NODE_REF *ref_list); */
/* NODE_REF *find_node_reference(char *node, NODE_REF *ref_list); */
int free_node_references(void);
char *glean_node_from_menu(int remember_reference);
int cm_menu(void);
char *get_xref_token(void);
int cm_xref(int arg);
int cm_pxref(int arg);
int cm_inforef(int arg);
int cm_quotation(void);
int cm_example(void);
int cm_smallexample(void);
int cm_lisp(void);
int cm_smalllisp(void);
int cm_format(void);
int cm_display(void);
int cm_itemize(void);
int cm_enumerate(void);
int cm_alphaenumerate(void);
int cm_table(void);
int cm_ftable(void);
int cm_group(void);
int cm_ifinfo(void);
int cm_flushleft(void);
int cm_flushright(void);
int cm_tex(void);
int cm_iftex(void);
int cm_titlespec(void);
int cm_titlepage(void);
int cm_ignore(void);
int execute_string(char *format, ...);
int cm_itemx(void);
int cm_item(void);
void initialize_token_accumulator(struct token_accumulator *accumulator);
void accumulate_token(struct token_accumulator *accumulator, char *token);
char *copy_substring(char *start, char *end);
int scan_group_in_string(char **string_pointer);
char **args_from_string(char *string);
void process_defun_args(char **defun_args, int auto_var_p);
char *next_nonwhite_defun_arg(char ***arg_pointer);
void defun_internal(enum insertion_type type, int x_p);
int cm_defun(void);
int cm_end(void);
int cm_noindent(void);
int cm_setfilename(void);
int cm_comment(void);
int cm_br(void);
int cm_sp(void);
int cm_settitle(void);
int cm_need(void);
int cm_headings(void);
int cm_center(void);
int cm_result(int arg);
int cm_expansion(int arg);
int cm_equiv(int arg);
int cm_print(int arg);
int cm_error(int arg);
int cm_point(int arg);
int cm_exdent(void);
int cm_include(void);
int cm_infoinclude(void);
int misplaced_brace(void);
int cm_force_abbreviated_whitespace(void);
int cm_force_sentence_end(void);
int cm_bye(void);
int cm_asis(void);
int cm_setchapternewpage(void);
int cm_smallbook(void);
int init_indices(void);
int find_index_offset(char *name);
/* INDEX_ALIST *find_index(char *name); */
int translate_index(char *name);
/* INDEX_ELT *index_list(char *name); */
/* int free_index(INDEX_ELT *index); */
int undefindex(char *name);
int defindex(char *name, int code);
int index_add_arg(char *name);
int gen_index(void);
int cm_defindex(void);
int cm_defcodeindex(void);
int gen_defindex(int code);
/* INDEX_ELT *index_append(INDEX_ELT *head, INDEX_ELT *tail); */
int cm_synindex(void);
int cm_pindex(void);
int cm_vindex(void);
int cm_kindex(void);
int cm_cindex(void);
int cm_findex(void);
int cm_tindex(void);
/* int index_element_compare(INDEX_ELT **element1, INDEX_ELT **element2); */
/* INDEX_ELT **sort_index(INDEX_ELT *index); */
int cm_printindex(void);
int define_user_command(char *name, FUNCTION *proc, int needs_braces_p);
int define_alias(char *alias, char *function);
int set_paragraph_indent(char *string);
int cm_paragraphindent(void);
int set_footnote_style(char *string);
int cm_footnotestyle(void);
int remember_note(char *marker, char *note);
int free_pending_notes(void);
int cm_footnote(void);
int output_pending_notes(void);

